using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ItemMsg : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.ClientScript.RegisterClientScriptInclude("kkk", "js/JSMsg.js");
        if (HttpContext.Current.User.Identity.IsAuthenticated)
            Ajax.Utility.RegisterTypeForAjax(this.GetType());
        else
            this.Page.ClientScript.RegisterClientScriptBlock(this.GetType(), "ggg", "<script>closeMe(0);</script>");
    }
    /// <summary>
    /// 增加一条菜肴的评论
    /// </summary>
    /// <param name="itemId">菜肴ID</param>
    /// <param name="comment">评论内容</param>
    /// <returns></returns>
    [Ajax.AjaxMethod]
    public int AddItemMsg(string itemId, string comment)
    {
        EItemMsg msg = new EItemMsg();
        return msg.AddItemMsg(itemId, comment);
    }
}
